use axum::{extract::State, http::HeaderMap, routing::get, Router};

use crate::web::{Page, TemplateExt, TemplateResponse, View};

use super::Context;

pub fn router(_ctx: Context) -> Router<Context> {
    Router::new().route("/", get(get_index))
}

async fn get_index(State(ctx): State<Context>, headers: HeaderMap) -> TemplateResponse<Page<View>> {
    View::Index.page(&headers).response(&ctx.tera)
}
